Outdated version when installing


(Leptospira489) #1

Bug report

Whenever I install Inkdrop, both beta and normal, It says its outdated and I need to upgrade, taking me to the download page again.

Info

OK so I tried this on both Fedora, Mac, and Windows, all with the same bug.
I installed on windows using the installer and the zip archive.
I installed on fedora using the snap store, deb package, and rpm package

Reproduce

Install Inkdrop somewhere it isn’t installed.
Try using it


(Takuya Matsuyama) #2

Hi leptospira489,

Thank you for reporting it.
The behavior is intended since there is no compatibility between v3 and v4 because of end-to-end encryption support.
Once you updated the app to v4, you have to use it on all computers.
v3 is planned to be deprecated soon.


(Leptospira489) #3

Hi, so how come it still says it is outdated even when I install the beta version?


(Takuya Matsuyama) #4

? That’s strange. Could you check again if you are running the beta version?


(Leptospira489) #5

Odd. it fixed itself. But I am sure I installed the beta version and it did not load. I reinstalled it and its working now. :sweat_smile:


(Takuya Matsuyama) #6

Good to hear that.
I guess that was because there was an instance of the old version running. It does not launch if duplicate process is running.